Tuesday, June 09, 2009

-attedit


There is an old command that really rocks for block with attributes. I use it every day in a lisp and rarely think about it. I use an attributed block for a receptacle. The attribute looks great as long as the wall is horizontal. If the wall is verticle, well so will the attribute.


Unless of course I used this little gem, -attedit. See the command line of what it does below.


It allows users to select the attribute inside a block and change it's postion, height, angle, style, layer or color and all from the command line. This is nice because you can write it into a lisp to automatically change the angle of blocks instered at 90 degrees back to zero.


Here is a code sample for you.

(defun c:AA0 ()
(command "-attedit" "" "" "" "" PAUSE "" "A" "0" "")  
   (princ)
)

It shouldn't be a big jump to change any of the other options in the attedit command by lisp like color and style now. Go ahead and give it a try, you have tons of free time and think this is fun anyway, right?


Post a Comment